%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: Dispatches signals between Python objects in a wide variety of contexts
Name: python-louie
Version: 1.1
Release: 4%{?dist}
License: BSD
Group: Development/Languages
URL: http://pylouie.org/
Source: http://cheeseshop.python.org/packages/source/L/Louie/Louie-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: python-setuptools
# From the egg requires.txt
Requires: python-nose >= 0.8.3
BuildRequires: python-devel
# Must have setuptools to build the package
# The build portions moved to a subpackage in F-8
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif
BuildArch: noarch

%description
Louie provides Python programmers with a straightforward way to dispatch
signals between objects in a wide variety of contexts. It is based on
PyDispatcher, which in turn was based on a highly-rated recipe in the
Python Cookbook.


%prep
%setup -q -n Louie-%{version}


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/*
%{python_sitelib}/Louie-*.egg-info/
%{python_sitelib}/louie/


%changelog
* Sun Feb  8 2009 Matthias Saou <http://freshrpms.net/> 1.1-4
- Add python-nose >= 0.8.3 requirement taken from the egg file.

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-3
- Rebuild for Python 2.6

* Tue Aug 28 2007 Matthias Saou <http://freshrpms.net/> 1.1-2
- Update python-setuptools build requirement to new python-setuptools-devel.

* Fri Feb  9 2007 Matthias Saou <http://freshrpms.net/> 1.1-1
- Initial RPM release.

